# Functor Comparable.Make_binable

    module Make_binable: functor (T : sig
    type t

    val t_of_sexp : Sexplib.Sexp.t -> t
    val sexp_of_t : t -> Sexplib.Sexp.t
    val compare : t -> t -> int
    val bin_t : t Bin_prot.Type_class.t
    val bin_read_t : t Bin_prot.Read.reader
    val __bin_read_t__ : (int -> t) Bin_prot.Read.reader
    val bin_reader_t : t Bin_prot.Type_class.reader
    val bin_size_t : t Bin_prot.Size.sizer
    val bin_write_t : t Bin_prot.Write.writer
    val bin_writer_t : t Bin_prot.Type_class.writerend) -> S_binable  with type t := T.t

Parameters:

`T` | : | `sig type t with bin_io, compare, sexp end`

    include Comparable_intf.S_common

    include Comparable_intf.Map_and_set_binable